%define RELEASEVER rc1

%{?!SDB:       %define SDB       0} # we don't have postgres atm. 
%{?!LIBBIND:   %define LIBBIND   1}
%{?!test:      %define test      0}
%{?!WITH_DBUS: %define WITH_DBUS 0} # + dynamic forwarder table management with D-BUS
%{?!bind_uid:  %define bind_uid  25}
%{?!bind_gid:  %define bind_gid  25}
%{?!GSSTSIG:   %define GSSTSIG   1}
%define        bind_dir          /var/named
%define        chroot_prefix     %{bind_dir}/chroot

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	The Berkeley Internet Name Domain (BIND) DNS (Domain Name System) server
Name:		bind
License:	ISC
Version:	9.5.0
Release:	3
Url:		http://www.isc.org/products/BIND/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Group:		System/Servers
#
Source:   ftp://ftp.isc.org/isc/bind9/%{version}%{RELEASEVER}/bind-%{version}%{RELEASEVER}.tar.gz

Source200: named.sysconfig
Source201: named.init
Source202: named.logrotate
Source203: keygen.c
Source204: rfc1912.txt
Source205: bind-chroot.tar.bz2
Source206: bind-9.3.1rc1-sdb_tools-Makefile.in
Source207: dnszone.schema
Source208: libbind-man.tar.gz
Source209: named-dbus.conf
Source210: named.service
Source211: README.sdb_pgsql
Source212: namedSetForwarders
Source213: namedGetForwarders
Source214: Copyright.caching-nameserver
Source215: bind-chroot-admin.in
Source216: libbind.pc
Source217: named.conf.sample
Source218: config-3.tar.bz2
Source219: ldap2zone.c

# Common patches
Patch0:  bind-9.2.0rc3-varrun.patch
Patch1:  bind-9.3.3rc2-rndckey.patch
Patch5:  bind-nonexec.patch
Patch10: bind-9.5-PIE.patch
Patch13: bind-9.3.1rc1-fix_libbind_includedir.patch
Patch16: bind-9.3.2-redhat_doc.patch
Patch63: bind-9.4.0-dnssec-directory.patch
Patch71: bind-9.5-overflow.patch
Patch72: bind-9.5-dlz-64bit.patch
Patch87: bind-9.5-parallel-build.patch
Patch89: bind-9.5-recv-race.patch
Patch90: bind-9.5-edns.patch

# SDB patches
Patch11: bind-9.3.2b2-sdbsrc.patch
Patch12: bind-9.5-sdb.patch
Patch62: bind-9.5-sdb-sqlite-bld.patch
Patch68: bind-9.4.1-ldap-api.patch

# needs inpection
Patch17: bind-9.3.2b1-fix_sdb_ldap.patch

# D-BUS patches
Patch15: bind-9.5.0-dbus.patch
Patch23: bind-9.5-dbus_archdep_libdir.patch
Patch81: bind-9.5-dbus-leak.patch
Patch82: bind-9.5-dbus-va_end.patch

# IDN paches
Patch73: bind-9.5-libidn.patch
Patch83: bind-9.5-libidn2.patch
Patch85: bind-9.5-libidn3.patch

Patch100: bind-9.5-kernel_2.6.25.patch

Requires(post):		grep
Requires(post):		chkconfig

Requires(pre):		shadow

Requires(preun):	chkconfig

%if %{SDB}
BuildRequires: openldap-devel
BuildRequires: postgresql-devel
BuildRequires: sqlite-devel
BuildRequires: mysql-devel
BuildRequires: db-devel
BuildRequires: unixODBC-devel
%endif

%if %{WITH_DBUS}
BuildRequires: dbus-devel
%endif

%if %{test}
BuildRequires: net-tools
%endif

%if %{GSSTSIG}
BuildRequires: krb5-devel
%endif

#Manual build dependencies
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: pkgconfig

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: krb5-devel
BuildRequires: libcap-devel
BuildRequires: libidn-devel
BuildRequires: openssl-devel

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named),
which resolves host names to IP addresses; a resolver library
(routines for applications to use when interfacing with DNS); and
tools for verifying that the DNS server is operating properly.

%if %{SDB}
%package	sdb
Summary:	BIND server with database backends and DLZ suppport
Group:		System Environment/Daemons

%description	sdb
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named-sdb)
which has compiled-in SDB (Simplified Database Backend) which includes
support for using alternative Zone Databases stored in an LDAP server
(ldapdb), a postgreSQL database (pgsqldb), an sqlite database (sqlitedb),
or in the filesystem (dirdb), in addition to the standard in-memory RBT
(Red Black Tree) zone database. It also includes support for DLZ
(Dynamic Loadable Zones)
%endif

%package	libs
Summary:	Libraries used by the BIND DNS packages
Group:		System/Servers

%description	libs
Contains libraries used by both the bind server package as well as the utils
packages.

%package	utils
Summary:	Utilities for querying DNS name servers
Group:		System/Servers

%description	utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name System) name servers to find out information about Internet
hosts. These tools will provide you with the IP addresses for given
host names, as well as other information about registered domains and
network addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package	devel
Summary:	Header files and libraries needed for BIND DNS development
Group:		Development/Libraries

%description	devel
The bind-devel package contains all the header files and libraries
required for development with ISC BIND 9 and BIND 8

%package	chroot
Summary:	A chroot runtime environment for the ISC BIND DNS server, named(8)
Group:		%{group}
Prefix:		%{chroot_prefix}
Requires:	bind
Requires(post): grep
Requires(preun):grep

%description	chroot
This package contains a tree of files which can be used as a
chroot(2) jail for the named(8) program from the BIND package.
Based on the code from Jan "Yenya" Kasprzak <kas@fi.muni.cz>

%prep
%setup -q -n %{name}-%{version}%{RELEASEVER}

# Common patches
%patch -p1 -b .varrun
%patch1 -p1 -b .key
%patch5 -p1 -b .nonexec
%patch10 -p1 -b .PIE
%patch16 -p1 -b .redhat_doc
%if %{SDB}
mkdir bin/named-sdb
cp -r bin/named/* bin/named-sdb
%patch11 -p1 -b .sdbsrc
# SDB ldap
cp -fp contrib/sdb/ldap/ldapdb.[ch] bin/named-sdb
# SDB postgreSQL
cp -fp contrib/sdb/pgsql/pgsqldb.[ch] bin/named-sdb
# SDB sqlite
cp -fp contrib/sdb/sqlite/sqlitedb.[ch] bin/named-sdb
# SDB Berkeley DB - needs to be ported to DB4!
#cp -fp contrib/sdb/bdb/bdb.[ch] bin/named_sdb
# SDB dir
cp -fp contrib/sdb/dir/dirdb.[ch] bin/named-sdb
# SDB tools
mkdir -p bin/sdb_tools
cp -fp %{SOURCE219} bin/sdb_tools/ldap2zone.c
cp -fp %{SOURCE206} bin/sdb_tools/Makefile.in
#cp -fp contrib/sdb/bdb/zone2bdb.c bin/sdb_tools
cp -fp contrib/sdb/ldap/{zone2ldap.1,zone2ldap.c} bin/sdb_tools
cp -fp contrib/sdb/pgsql/zonetodb.c bin/sdb_tools
cp -fp contrib/sdb/sqlite/zone2sqlite.c bin/sdb_tools
%patch12 -p1 -b .sdb
%patch68 -p1 -b .new-api
%endif
%if %{LIBBIND}
%patch13 -p1 -b .fix_libbind_includedir
%endif
%if %{WITH_DBUS}
%patch15 -p1 -b .dbus
%patch23 -p1 -b .dbus_archdep_libdir
%patch81 -p1 -b .leak
%patch82 -p1 -b .va_end
%endif
%if %{SDB}
%patch17 -p1 -b .fix_sdb_ldap
%endif
%if %{WITH_DBUS}
#
# this must follow all dbus patches:
#
cp -fp contrib/dbus/{dbus_mgr.c,dbus_service.c} bin/named
cp -fp contrib/dbus/{dbus_mgr.h,dbus_service.h} bin/named/include/named
%endif
%if %{SDB}
%patch62 -p1 -b .sdb-sqlite-bld
%endif
%patch63 -p1 -b .directory
%patch71 -p1 -b .overflow
%ifnarch alpha ia64
%patch72 -p1 -b .64bit
%endif
%patch73 -p1 -b .libidn
%patch83 -p1 -b .libidn2
%patch85 -p1 -b .libidn3
%patch87 -p1 -b .parallel
%patch89 -p1 -b .recv-race
%patch90 -p1 -b .edns
%patch100 -p1 -b .kernel
:;

%build
export CFLAGS="$CFLAGS $RPM_OPT_FLAGS -O0"
export CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
export STD_CDEFINES="$CPPFLAGS"

libtoolize -c -f; aclocal --force; autoheader -f; autoconf -f

%if %{WITH_DBUS}
%ifarch s390x x86_64 ppc64
# every 64-bit arch EXCEPT ia64 has dbus architecture dependant
# includes in  /usr/lib64/dbus-1.0/include
export DBUS_ARCHDEP_LIBDIR=lib64
%endif
%endif
if pkg-config openssl ; then
  export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
  export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
  export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%configure \
  --with-libtool \
  --localstatedir=/var \
  --enable-threads \
  --enable-ipv6 \
  --with-pic \
  --disable-openssl-version-check \
%if %{LIBBIND}
  --enable-libbind \
%endif
%if %{SDB}
  --with-dlz-ldap=yes \
  --with-dlz-postgres=yes \
  --with-dlz-mysql=yes \
  --with-dlz-filesystem=yes \
  --with-dlz-odbc=yes \
  --with-dlz-bdb=yes \
%endif
%if %{GSSTSIG}
  --with-gssapi=yes \
  --disable-isc-spnego \
%endif
;
if [ -s openssl_config.h ]; then cat openssl_config.h >> config.h ; fi;
make %{?_smp_mflags}

%if %{test}
%check
if [ "`whoami`" = 'root' ]; then
  set -e
  chmod -R a+rwX .
  pushd bin/tests
  pushd system
  ./ifconfig.sh up
  popd
  make test
  e=$?
  pushd system
  ./ifconfig.sh down
  popd
  popd
  if [ "$e" -ne 0 ]; then
    echo "ERROR: this build of BIND failed 'make test'. Aborting."
    exit $e;
  fi;
else
  echo 'only root can run the tests (they require an ifconfig).'
%endif

%install
rm -rf ${RPM_BUILD_ROOT}

cp  --preserve=timestamps %{SOURCE204} doc/rfc
gzip -9 doc/rfc/*
mkdir -p ${RPM_BUILD_ROOT}/etc/{init.d,logrotate.d}
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin,include}
mkdir -p ${RPM_BUILD_ROOT}/var/named
mkdir -p ${RPM_BUILD_ROOT}/var/named/slaves
mkdir -p ${RPM_BUILD_ROOT}/var/named/data
mkdir -p ${RPM_BUILD_ROOT}/var/named/dynamic
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5,man8}
mkdir -p ${RPM_BUILD_ROOT}/var/run/named
mkdir -p ${RPM_BUILD_ROOT}/var/log
#chroot
mkdir -p ${RPM_BUILD_ROOT}/%{chroot_prefix}
tar --no-same-owner -jxvf %{SOURCE205} --directory ${RPM_BUILD_ROOT}/%{chroot_prefix}
# these are required to prevent them being erased during upgrade of previous
# versions that included them (bug #130121):
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/etc/named.conf
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/etc/named.rfc1912.zones
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/etc/rndc.key
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/dev/null
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/dev/random
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/dev/zero
touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/var/log/named.log
#end chroot
make DESTDIR=${RPM_BUILD_ROOT} install
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/rndc.conf
install -c -m 755 contrib/named-bootconf/named-bootconf.sh ${RPM_BUILD_ROOT}%{_sbindir}/named-bootconf
install -c -m 755 %{SOURCE201} ${RPM_BUILD_ROOT}/etc/init.d/named
install -c -m 644 %{SOURCE202} ${RPM_BUILD_ROOT}/etc/logrotate.d/named
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/rndc.key
%{__cc} $RPM_OPT_FLAGS -o ${RPM_BUILD_ROOT}%{_sbindir}/dns-keygen %{SOURCE203}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
cp %{SOURCE200} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/named
%if %{SDB}
mkdir -p ${RPM_BUILD_ROOT}/etc/openldap/schema
install -c -m 644 %{SOURCE207} ${RPM_BUILD_ROOT}/etc/openldap/schema/dnszone.schema
cp -fp %{SOURCE211} contrib/sdb/pgsql/
%endif
%if %{LIBBIND}
gunzip < %{SOURCE208} | (cd ${RPM_BUILD_ROOT}/usr/share; tar -xpf -)
mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/pkgconfig
install -m 644 %{SOURCE216} $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libbind.pc
%endif
%if %{WITH_DBUS}
mkdir -p ${RPM_BUILD_ROOT}/etc/dbus-1/system.d
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/dbus-1/services
cp -fp %{SOURCE209} ${RPM_BUILD_ROOT}/etc/dbus-1/system.d/named.conf
cp -fp %{SOURCE210} ${RPM_BUILD_ROOT}%{_datadir}/dbus-1/services/named.service
cp -fp %{SOURCE211} ${RPM_BUILD_ROOT}%{_sbindir}/namedSetForwarders
cp -fp %{SOURCE212} ${RPM_BUILD_ROOT}%{_sbindir}/namedGetForwarders
%endif
# Files required to run test-suite outside of build tree:
cp -fp config.h ${RPM_BUILD_ROOT}/%{_includedir}/bind9
cp -fp lib/dns/include/dns/forward.h ${RPM_BUILD_ROOT}/%{_includedir}/dns
cp -fp lib/isc/unix/include/isc/keyboard.h ${RPM_BUILD_ROOT}/%{_includedir}/isc
cp -fp lib/isc/include/isc/hash.h ${RPM_BUILD_ROOT}/%{_includedir}/isc
# Remove libtool .la files:
find ${RPM_BUILD_ROOT}/%{_libdir} -name '*.la' -exec '/bin/rm' '-f' '{}' ';';
# /usr/lib/rpm/brp-compress
#
# Ghost config files:
touch ${RPM_BUILD_ROOT}%{_sysconfdir}/named.conf
touch ${RPM_BUILD_ROOT}%{_localstatedir}/log/named.log
# configuration files:
tar -C ${RPM_BUILD_ROOT} -xf %{SOURCE218}
for f in /etc/named.conf /var/named/{named.ca,named.localhost,named.loopback,named.empty}; do
  touch ${RPM_BUILD_ROOT}/%{chroot_prefix}/$f;
done
install -m 644 %{SOURCE204}  ./rfc1912.txt
install -m 644 %{SOURCE214} ./Copyright
# bind-chroot-admin script:
sed -e 's^@BIND_CHROOT_PREFIX@^'%{chroot_prefix}'^;s^@BIND_DIR@^'%{bind_dir}'^' < %{SOURCE215} > bind-chroot-admin;
install -m 754 bind-chroot-admin ${RPM_BUILD_ROOT}/%{_sbindir}
# sample bind configuration files for %doc:
mkdir -p sample/etc sample/var/named/{data,slaves}
cp -fp %{SOURCE217} sample/etc/named.conf
cp -fp ${RPM_BUILD_ROOT}/etc/named.rfc1912.zones sample/etc/named.rfc1912.zones
cp -fp ${RPM_BUILD_ROOT}/var/named/{named.ca,named.localhost,named.loopback,named.empty}  sample/var/named
for f in my.internal.zone.db slaves/my.slave.internal.zone.db slaves/my.ddns.internal.zone.db my.external.zone.db; do 
  echo '@ in soa localhost. root 1 3H 15M 1W 1D
  ns localhost.' > sample/var/named/$f; 
done
/usr/bin/tail -n '+'`/bin/egrep -n '\\$Id: rndc.conf,v' bin/rndc/rndc.conf | sed 's/:.*$/+1/' | bc` bin/rndc/rndc.conf | sed '/Sample rndc configuration file./{p;i\
 *\
 * NOTE: you only need to create this file if it is to\
 * differ from the following default contents:
;d}' > sample/etc/rndc.conf;
#
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/lib*so.*
:;

%pre
/usr/sbin/groupadd -g %{bind_gid} -f -r named >/dev/null 2>&1 || :;
/usr/sbin/useradd  -u %{bind_uid} -r -N -g named -s /sbin/nologin -d /var/named -c Named named >/dev/null 2>&1 || :;
:;

%post
/sbin/ldconfig
/sbin/chkconfig --add named
if [ "$1" -eq 1 ]; then
  # no more named.boot autoconversion! No-one should be using BIND-4 anymore.
  if [ ! -e /etc/rndc.key ]; then
    # create the rndc.key file:
    echo 'key "rndckey" {
  algorithm hmac-md5;
  secret    "'`/usr/sbin/dns-keygen`'";
};' > /etc/rndc.key;
  elif /bin/egrep -q '@KEY@' /etc/rndc.key; then
    # fix potential problem with older versions
    /bin/sed -i -e 's^@KEY@^'`/usr/sbin/dns-keygen`'^' /etc/rndc.key ;
  fi
  # rndc.key has to have correct perms and ownership, CVE-2007-6283
  [ -e /etc/rndc.key ] && chown root:named /etc/rndc.key
  [ -e /etc/rndc.key ] && chmod 0640 /etc/rndc.key
  [ -x /usr/sbin/bind-chroot-admin ] && /usr/sbin/bind-chroot-admin --sync;
fi
:;

%preun
/etc/init.d/named stop >/dev/null 2>&1 || :;
/sbin/chkconfig --del named || :;
/usr/sbin/groupdel named 2>&1 || :;
/usr/sbin/userdel named 2>&1 || :;
:;

%postun
/sbin/ldconfig
if [ "$1" -ge 1 ]; then
  /etc/init.d/named restart >/dev/null 2>&1 || :;
fi;
:;

%if %{SDB}
%post sdb
/etc/init.d/named restart > /dev/null 2>&1 || :;

%postun sdb
/etc/init.d/named restart > /dev/null 2>&1 || :;
%endif

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post chroot
if [ "$1" -gt 0 ]; then
  /usr/sbin/bind-chroot-admin --enable > /dev/null 2>&1;
fi;
:;

%preun chroot
if [ "$1" -eq 0 ]; then
  /usr/sbin/bind-chroot-admin --disable > /dev/null 2>&1;
fi
:;

%clean
rm -rf ${RPM_BUILD_ROOT}
:;

%files
# Hide configuration
%defattr(0640,root,named,0750)
%dir %{_localstatedir}/named
%config(noreplace) %verify(not link) %{_sysconfdir}/named.conf
%config(noreplace) %verify(not link) %{_sysconfdir}/named.rfc1912.zones
%config %verify(not link) %{_localstatedir}/named/named.ca
%config %verify(not link) %{_localstatedir}/named/named.localhost
%config %verify(not link) %{_localstatedir}/named/named.loopback
%config %verify(not link) %{_localstatedir}/named/named.empty
%defattr(0660,named,named,0770)
%dir %{_localstatedir}/named/slaves
%dir %{_localstatedir}/named/data
%dir %{_localstatedir}/named/dynamic
%dir %{_localstatedir}/run/named
%ghost %{_localstatedir}/log/named.log
%defattr(0640,root,named,0750)
%config(noreplace) %{_sysconfdir}/sysconfig/named
%ghost %config(noreplace) %{_sysconfdir}/rndc.key
# ^- rndc.key now created on first install only if it does not exist
# %verify(not size,not md5) %config(noreplace) %attr(0640,root,named) /etc/rndc.conf
# ^- Let the named internal default rndc.conf be used -
#    rndc.conf not required unless it differs from default.
%ghost %config(noreplace) %{_sysconfdir}/rndc.conf
# ^- The default rndc.conf which uses rndc.key is in named's default internal config -
#    so rndc.conf is not necessary.
%config(noreplace) %{_sysconfdir}/logrotate.d/named
%defattr(-,root,root,-)
%{_sysconfdir}/init.d/named
%{_sbindir}/dnssec*
%{_sbindir}/named-check*
%{_sbindir}/dns-keygen
%{_sbindir}/lwresd
%{_sbindir}/named
%{_sbindir}/named-bootconf
%{_sbindir}/rndc*
%{_sbindir}/named-compilezone
%{_mandir}/man5/named.conf.5*
%{_mandir}/man5/rndc.conf.5*
%{_mandir}/man8/rndc.8*
%{_mandir}/man8/named.8*
%{_mandir}/man8/lwresd.8*
%{_mandir}/man8/dnssec*.8*
%{_mandir}/man8/named-checkconf.8*
%{_mandir}/man8/named-checkzone.8*
%{_mandir}/man8/named-compilezone.8*
%{_mandir}/man8/rndc-confgen.8*
%doc CHANGES COPYRIGHT README
%doc doc/arm doc/misc
%doc sample/
%doc Copyright
%doc rfc1912.txt
%if %{WITH_DBUS}
%doc contrib/dbus/README.DBUS
%config %{_sysconfdir}/dbus-1/system.d/named.conf
%config %{_datadir}/dbus-1/services/named.service
%{_sbindir}/namedGetForwarders
%{_sbindir}/namedSetForwarders
%endif

%if %{SDB}
%files sdb
%defattr(-,root,root,-)
%{_mandir}/man1/zone2ldap.1*
%doc contrib/sdb/ldap/README.ldap contrib/sdb/ldap/INSTALL.ldap contrib/sdb/pgsql/README.sdb_pgsql
%dir %{_sysconfdir}/openldap/schema
%config(noreplace) %{_sysconfdir}/openldap/schema/dnszone.schema
%{_sbindir}/named-sdb
%{_sbindir}/zone2ldap
%{_sbindir}/ldap2zone
%{_sbindir}/zonetodb
%{_sbindir}/zone2sqlite
%endif

%files libs
%defattr(-,root,root,-)
%{_libdir}/*so.*

%files utils
%defattr(-,root,root,-)
%{_bindir}/dig
%{_bindir}/host
%{_bindir}/nslookup
%{_bindir}/nsupdate
%{_mandir}/man1/host.1*
%{_mandir}/man8/nsupdate.8*
%{_mandir}/man1/dig.1*
%{_mandir}/man1/nslookup.1*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libbind9.a
%{_libdir}/libdns.a
%{_libdir}/libisc.a
%{_libdir}/libisccc.a
%{_libdir}/libisccfg.a
%{_libdir}/liblwres.a
%{_libdir}/*so
%{_includedir}/bind9
%{_includedir}/dns
%{_includedir}/dst
%{_includedir}/isc
%{_includedir}/isccc
%{_includedir}/isccfg
%{_includedir}/lwres
%{_mandir}/man3/lwres*
%{_bindir}/isc-config.sh
%doc doc/draft doc/rfc
%if %{LIBBIND}
%{_libdir}/libbind.a
%{_libdir}/pkgconfig/libbind.pc
%{_includedir}/bind
%{_mandir}/man3/libbind-*
%{_mandir}/man7/libbind-*
%{_mandir}/man5/libbind-*
%endif

%files chroot
%defattr(0640,root,named,0750)
%dir %{chroot_prefix}
%dir %{chroot_prefix}/dev
%dir %{chroot_prefix}/etc
%ghost %config(noreplace) %{chroot_prefix}/etc/named.conf
%ghost %config(noreplace) %{chroot_prefix}/etc/named.rfc1912.zones
%ghost %config(noreplace) %{chroot_prefix}/etc/rndc.key
%dir %{chroot_prefix}/var
%dir  %{chroot_prefix}/var/run
%dir  %{chroot_prefix}/var/named
%ghost  %config %{chroot_prefix}/var/named/named.ca
%ghost  %config %{chroot_prefix}/var/named/named.localhost
%ghost  %config %{chroot_prefix}/var/named/named.loopback
%ghost  %config %{chroot_prefix}/var/named/named.empty
%defattr(0660,named,named,0770)
%dir %{chroot_prefix}/var/named/slaves
%dir %{chroot_prefix}/var/named/data
%dir %{chroot_prefix}/var/named/dynamic
%dir %{chroot_prefix}/var/run/named
%dir %{chroot_prefix}/var/tmp
%dir %{chroot_prefix}/var/log
%ghost %{chroot_prefix}/var/log/named.log
%ghost %{chroot_prefix}/dev/null
%ghost %{chroot_prefix}/dev/random
%ghost %{chroot_prefix}/dev/zero
%defattr(-,root,root,-)
%{_sbindir}/bind-chroot-admin

%changelog
* Wed Apr 08 2009 Christian Wasem <wasem@ccux-linux.de> 9.5.0-3
- changed subpackage groups (same as main package)
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 9.5.0-2
- rebuilt against libcap 2.11
* Sun May 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 9.5.0-1
- initial package release
- based on fc10 package and lfs 
